tokenization
Mint a tokenization intent for client-side Basis Theory sessions
Server-side only. Returns a short-lived bearer token (tokintent_...) the browser passes to POST /tokenization/sessions instead of a checkout session token. Requires a merchant↔customer link.
POST
Mint a tokenization intent for client-side Basis Theory sessions
Authorizations
Merchant API key bearer token. Legacy wire prefixes api_key_ and api_ are also accepted.
Body
application/json
Customer to tokenize a payment instrument for.
Response
Intent minted. Pass token as the Bearer token on POST /tokenization/sessions.
Minimum string length:
1Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$